Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 183505

Summary: Beagled catches SIGSEGV on ppc64
Product: [Fedora] Fedora Reporter: Paul Nasrat <pnasrat>
Component: beagleAssignee: Christopher Aillon <caillon>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alexl, caillon
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-03-06 22:27:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 150221    
Bug Blocks:    
Attachments:
Description Flags
Dump of several runs of beagled none

Description Paul Nasrat 2006-03-01 16:21:59 UTC
Description of problem:

Beagle does not run on a g5 

Version-Release number of selected component (if applicable):

beagle-0.2.1-12
mono-core-1.1.13-2.4

How reproducible:

Always
Steps to Reproduce:
Run beagled eg:
1. beagled --fg --indexing-test-mode
  
Actual results:

Segfault handler dump

Expected results:

Happy, fluffy indexing.

Additional info:

Access to a machine can be provided. Dump attached.

Comment 1 Paul Nasrat 2006-03-01 16:21:59 UTC
Created attachment 125478 [details]
Dump of several runs of beagled

Comment 2 Alexander Larsson 2006-03-03 14:00:30 UTC
Just to clarify, most of the userspace on this box is 32bit ppc, right?


Comment 3 Paul Nasrat 2006-03-03 14:18:39 UTC
Yes that is ccrrect, if you want access to the box just yell.

Comment 4 Christopher Aillon 2006-03-03 20:11:59 UTC
I think this is http://bugzilla.ximian.com/show_bug.cgi?id=77028

Playing with it right now

Comment 5 Christopher Aillon 2006-03-06 22:27:09 UTC
Beagle seems happier now with the patch to mono from
http://slomosnail.de/~slomo/temp/ppc-sched-affinity.dpatch